Get skill catalog by id
Get skill catalog by id. Scoped to the listing named by listing_id.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
listing_id*string
Format
uuidHeader Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/skill-listings/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "listing": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "status": "draft", "title": "string", "summary": "string", "categories": [ "marketing" ], "cover_url": "string", "examples": [ "string" ], "author": "string", "verified": true, "license": "string", "source_url": "string", "name": "string", "description": "string", "body": "string", "version": -2147483648, "rank": -2147483648, "published_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "files": [ { "path": "string", "content": "string" } ], "uses": -9007199254740991, "created_by": { "id": "string", "first_name": "string", "last_name": "string", "email": "string", "image_url": "string" }, "updated_by": { "id": "string", "first_name": "string", "last_name": "string", "email": "string", "image_url": "string" } }}